##
##  ocrad.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2025 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         ocrad
Summary:      GNU Optical Character Set Conversion Tool
URL:          http://www.gnu.org/software/ocrad/
Vendor:       Francois Pinard
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        EVAL
Group:        Graphics
License:      GPL
Version:      0.29
Release:      20250101

#   list of sources
Source0:      http://ftp.gnu.org/gnu/ocrad/ocrad-%{version}.tar.lz

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101, gcc, gcc::with_cxx = yes, lzip
PreReq:       OpenPKG, openpkg >= 20160101
BuildPreReq:  png
PreReq:       png

%description
    GNU Ocrad is an OCR (Optical Character Recognition) program based on
    a feature extraction method. It reads images in pbm (bitmap), pgm
    (greyscale) or ppm (color) formats and produces text in byte (8-bit)
    or UTF-8 formats.

%track
    prog ocrad = {
        version   = %{version}
        url       = http://ftp.gnu.org/gnu/ocrad/
        regex     = ocrad-(__VER__)\.tar\.(gz|lz)
    }

%prep
    %setup -q -T -c
    cd ..
    %{l_prefix}/bin/lzip -d -c %{SOURCE0} | %{l_tar} xf -

%build
    CC="%{l_cc}" \
    CXX="%{l_cxx}" \
    CFLAGS="%{l_cflags -O}" \
    CXXFLAGS="%{l_cxxflags -O}" \
    CPPFLAGS="%{l_cppflags}" \
    LDFLAGS="%{l_ldflags}" \
    ./configure \
        --prefix=%{l_prefix} \
        --mandir=%{l_prefix}/man \
        --infodir=%{l_prefix}/info
    %{l_make} %{l_mflags -O} \
        CC="%{l_cc}" \
        CXX="%{l_cxx}" \
        CFLAGS="%{l_cflags -O}" \
        CXXFLAGS="%{l_cxxflags -O}" \
        CPPFLAGS="%{l_cppflags}" \
        LDFLAGS="%{l_ldflags}" \
        LIBS="-lpng -lz"

%install
    %{l_make} %{l_mflags} install DESTDIR=$RPM_BUILD_ROOT
    rm -f $RPM_BUILD_ROOT%{l_prefix}/info/dir
    strip $RPM_BUILD_ROOT%{l_prefix}/bin/* >/dev/null 2>&1 || true
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

